Get email by ID
curl --request GET \
--url https://inboundr.net/api/v1/emails/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboundr.net/api/v1/emails/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://inboundr.net/api/v1/emails/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inboundr.net/api/v1/emails/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "em_abc123",
"direction": "inbound",
"threadId": "thr_xyz789",
"messageId": "<CAEabc...@mail.gmail.com>",
"inReplyTo": null,
"fromAddress": "customer@example.com",
"toAddresses": ["support@yourdomain.com"],
"ccAddresses": [],
"subject": "Can you help?",
"textBody": "Hi there…",
"htmlBody": "<p>Hi there…</p>",
"attachments": [
{ "filename": "invoice.pdf", "contentType": "application/pdf", "size": 48210, "stored": true }
],
"spamVerdict": "PASS",
"spfVerdict": "PASS",
"dkimVerdict": "PASS",
"receivedAt": "2026-07-20T10:30:00.000Z"
}
Emails
Get email by ID
Fetch one email in full: bodies, attachments, and verdicts.
GET
/
api
/
v1
/
emails
/
{id}
Get email by ID
Returns a single email in full — text and HTML bodies, attachment metadata, and
SPF/DKIM/spam verdicts. See Emails & threads.
string
required
The email id (
em_…).{
"id": "em_abc123",
"direction": "inbound",
"threadId": "thr_xyz789",
"messageId": "<CAEabc...@mail.gmail.com>",
"inReplyTo": null,
"fromAddress": "customer@example.com",
"toAddresses": ["support@yourdomain.com"],
"ccAddresses": [],
"subject": "Can you help?",
"textBody": "Hi there…",
"htmlBody": "<p>Hi there…</p>",
"attachments": [
{ "filename": "invoice.pdf", "contentType": "application/pdf", "size": 48210, "stored": true }
],
"spamVerdict": "PASS",
"spfVerdict": "PASS",
"dkimVerdict": "PASS",
"receivedAt": "2026-07-20T10:30:00.000Z"
}
boolean
Whether the attachment can be downloaded.
Returns
404 if the email doesn’t exist or isn’t yours.⌘I